
#ifndef _FILTER_H_
#define _FILTER_H_

typedef int FILTER (p_image in, p_image out, char *description, Ihandle **extrabox);
typedef int FILTERCHECK (p_image in);

int fTrue     (p_image in);
int fTestMono (p_image in);
int fTestRGB  (p_image in);

int fPainter	(p_image in, p_image out, char *description, Ihandle **extrabox);
int fStrokeArea	(p_image in, p_image out, char *description, Ihandle **extrabox);
int fColorDiff	(p_image in, p_image out, char *description, Ihandle **extrabox);
int fScale		(p_image in, p_image out, char *description, Ihandle **extrabox);
int fRotate		(p_image in, p_image out, char *description, Ihandle **extrabox);
int fCopy		(p_image in, p_image out, char *description, Ihandle **extrabox);
int fDither		(p_image in, p_image out, char *description, Ihandle **extrabox);
int fRed		(p_image in, p_image out, char *description, Ihandle **extrabox);
int fGreen		(p_image in, p_image out, char *description, Ihandle **extrabox);
int fBlue		(p_image in, p_image out, char *description, Ihandle **extrabox);
int fGray		(p_image in, p_image out, char *description, Ihandle **extrabox);

#endif
