/*=========================================================================*\
* 3D Group (Danilo, Diego, Diogo)
* 11/11/2000
\*=========================================================================*/

#ifndef _GAUGE_H_
#define _GAUGE_H_

#ifdef GUI
#include <iup.h>
#endif

/*=========================================================================*\
* Exported function declarations
\*=========================================================================*/
/*-------------------------------------------------------------------------*\
* Open package
\*-------------------------------------------------------------------------*/
#ifdef GUI
void gauge_open(Ihandle *gauge);
#else
void gauge_open(void);
#endif

/*-------------------------------------------------------------------------*\
* Reset counter.
\*-------------------------------------------------------------------------*/
void gauge_start(void);

/*-------------------------------------------------------------------------*\
* End counting
\*-------------------------------------------------------------------------*/
void gauge_end(void);

/*-------------------------------------------------------------------------*\
* Set 100% mark.
\*-------------------------------------------------------------------------*/
void gauge_setmax(int max);

/*-------------------------------------------------------------------------*\
* Advances counter.
\*-------------------------------------------------------------------------*/
void gauge_increase(int dx);

/*-------------------------------------------------------------------------*\
* Prints current gauge position.
\*-------------------------------------------------------------------------*/
void gauge_print(void);

#endif /* _GAUGE_H_ */
