
/* Algorithm specific functions
 * 
 * Danilo Tuler
 */

#ifndef _PAINTER_H_
#define _PAINTER_H_

#include "image.h"

/* create the stroke area image (paper, section 4.1.1) */
int painter_strokearea(const p_image im, int s, p_image out);

int painter_colordiff(const p_image im, uchar *rgb, p_image out);

int painter_strokepar(const p_image in, int x, int y, int s, int *xc, int *yc, double *theta, float *w, float *l, uchar *xyrgb, p_image I);

#endif
